<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_UserEnvi extends Controller {
    protected $UserInfo;
    
    public function before()
    {
        if(!User::instance()->isSignedIn())
        {
            $this->redirect('sign', 302);
        }
        else 
        {
            
            // Проверка на 
            $this->UserInfo = User::instance()->getInfoAsArray();
            // Проверка на доступ к странице
            $route = Route::name($this->request->route());
            $userMark = User::instance()->offsetGet('AccRoleMark');
            $sysModel = new Model_System;
            $bitmask = $sysModel->getBitmaskForRoute($route);
            if(!($bitmask & $userMark))
            {
                throw HTTP_Exception::factory(403, 'Не пытайтесь попасть туда, куда попадать не следует.');
            }
        }
    }
    
    public function action_index()
    {
        $page = Request::factory($this->UserInfo['AccType'].'/index')->execute();
        $this->response->body($page);
    }
    
    public function action_profile()
    {
        $url = $this->UserInfo['AccType']."/profile";
        if(!empty($type))
            $url .= '/'.$type;
        if(!empty($id))
            $url .= '/'.$id;
        $page = Request::factory($url)->execute();
        $this->response->body($page);
    }
	
    public function action_settings()
    {
        $page = Request::factory($this->UserInfo['AccType'].'/settings')->execute();
        $this->response->body($page);
    }
}
